Hàng ngàn blog đang dính lỗ hổng Zero-Day trong TimThumb

Hàng ngàn blog đang dính lỗ hổng Zero-Day trong TimThumb

Hôm qua, một lỗ hổng Zero-day nghiêm trọng trong một thư viện xử lý ảnh TimThumb của wordpress, được sử dụng trong hàng ngàn theme và plugin của wordpress.

WordPress là một công cụ mã nguồn mở miễn phí cho việc tạo các blog cũng như các hệ thống quản lý nội dung (CMS) với hơn 30.000 plugin, mỗi plugin cung cấp các chức năng cho phép người dùng chỉnh trang web của họ. Do đó, nó rất dễ dàng để cài đặt và sử dụng, hiện nay hàng chục triệu trang web trên toàn thế giới đã lựa chọn wordpress làm nền tảng phát triển.

Tuy nhiên, nếu bạn hoặc công ty của bạn sử dụng plugin nào đó để thay đổi kích thước hình ảnh khi hiển hiển thị trên trang web của mình, thì bạn hãy chắc chắn plugin này được cập nhật với phiên bản mới nhất và lưu ý việc nó có sử dụng thư viện Timthumb hay không?

Lỗ hổng Zero-day

Các lỗ hổng nghiêm trọng được phát hiện trong các phiên bản của plugin TimThumb WordPress 2.8.13, lỗ hổng nằm trong tiện ích “Webshot”. Khi bị khai thác, lỗ hổng này sẽ cho phép kẻ tấn công thực thi các lệnh mã độc từ xa. Nó cho phép kẻ tấn công thực thi các đoạn mã PHP tùy ý trên các trang web của nạn nhân. Một khi các mã PHP được thực hiện, các trang web có thể dễ dàng bị tấn công theo cách mà những kẻ tấn công mong muốn. Cho đến nay, chưa có bản vá lỗi nào cho lỗ hổng này.

Một chuyên gia bảo mật nói trên blog rằng “Với một lệnh đơn giản, kẻ tấn công có thể thêm sửa xóa bất kỳ tập tin nào trên máy chủ của bạn”.

Sử dụng đoạn mã khai thác sau, hacker có thể thêm sửa xóa các file trên máy chủ ứng dụng web.

http://vulnerablesite.com/wp-content/plugins/pluginX/timthumb.php?webshot=1&src=http://vulnerablesite.com/$(rm$IFS/tmp/a.txt) 

http://vulnerablesite.com/wp-content/plugins/pluginX/timthumb.php??webshot=1&src=http://vulnerablesite.com/$(touch$IFS/tmp/a.txt)

Phân tích lỗ hổng

Thật không may, có hàng trăm các plugin, theme trong WordPress khác đang sử dụng mặc định thư viện TimThumb.

  1. TimThumb 2.8.13 Wordpress Plugin
  2. WordThumb 1,07 cũng sử dụng cùng một mã WebShot dễ bị tấn công.
  3. WordPress Gallery Plugin
  4. IGIT bài trượt Widget
  5. Tất cả các theme wordpress từ Themify chứa wordthumb có thể bị tấn công tại “/Themify/img.php”.

 

Tin tốt là Timthumb đi kèm với tùy chọn webshot đã mặc định được vô hiệu hóa, vì vậy chỉ những bản cài đặt Timthumb lmà người đã tự kích hoạt tính năng webshot thì bị dính lỗ hổng này.

Kiểm tra và vô hiệu hoá Timthumb Webshot

Để kiểm tra việc Timthumb Webshot đang được kích hoạt hay không bạn thực hiện như sau

  1. Mở tập tin timthumb trong mục theme hoặc thư mục plugin của bạn, thường nằm ở mục “/wp-content/themes /Path_to_timthumb.php
  2. Tìm kiếm “WEBSHOT_ENABLED
  3. Nếu bạn tìm thấy define (‘WEBSHOT_ENABLED’, true), hãy thiết lập giá trị “false” – (‘WEBSHOT_ENABLED’, false)

Nhiều lỗ hổng bảo mật tương tự đã được phát hiện trong TimThumb và để lại hàng triệu trang web wordPress rơi vào tình trạng có thể bị tấn công bất cứ lúc nào.

Theo The Hacker News 

Bình luận

Từ khóa: